DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTSourcePixelPlanesCharacteristicsSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTSourcePixelPlanesCharacteristicsSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getColumns (Uint16 &value, const unsigned long pos=0) const
| get Columns (0028,0011) More...
OFCondition | getImageOrientationPatient (OFString &value, const signed long pos=0) const
| get ImageOrientationPatient (0020,0037) More...
OFCondition | getImageOrientationPatient (Float64 &value, const unsigned long pos=0) const
| get ImageOrientationPatient (0020,0037) More...
OFCondition | getImageOrientationPatient (OFVector< Float64 > &value) const
| get ImageOrientationPatient (0020,0037) More...
OFCondition | getImagePositionPatient (OFString &value, const signed long pos=0) const
| get ImagePositionPatient (0020,0032) More...
OFCondition | getImagePositionPatient (Float64 &value, const unsigned long pos=0) const
| get ImagePositionPatient (0020,0032) More...
OFCondition | getImagePositionPatient (OFVector< Float64 > &value) const
| get ImagePositionPatient (0020,0032) More...
OFCondition | getNumberOfFrames (OFString &value, const signed long pos=0) const
| get NumberOfFrames (0028,0008) More...
OFCondition | getNumberOfFrames (Sint32 &value, const unsigned long pos=0) const
| get NumberOfFrames (0028,0008) More...
OFCondition | getPixelSpacing (OFString &value, const signed long pos=0) const
| get PixelSpacing (0028,0030) More...
OFCondition | getPixelSpacing (Float64 &value, const unsigned long pos=0) const
| get PixelSpacing (0028,0030) More...
OFCondition | getPixelSpacing (OFVector< Float64 > &value) const
| get PixelSpacing (0028,0030) More...
OFCondition | getRows (Uint16 &value, const unsigned long pos=0) const
| get Rows (0028,0010) More...
OFCondition | getSpacingBetweenSlices (OFString &value, const signed long pos=0) const
| get SpacingBetweenSlices (0018,0088) More...
OFCondition | getSpacingBetweenSlices (Float64 &value, const unsigned long pos=0) const
| get SpacingBetweenSlices (0018,0088) More...
OFCondition | setColumns (const Uint16 value, const unsigned long pos=0)
| set Columns (0028,0011) More...
OFCondition | setImageOrientationPatient (const OFString &value, const OFBool check=OFTrue)
| set ImageOrientationPatient (0020,0037) More...
OFCondition | setImagePositionPatient (const OFString &value, const OFBool check=OFTrue)
| set ImagePositionPatient (0020,0032) More...
OFCondition | setNumberOfFrames (const OFString &value, const OFBool check=OFTrue)
| set NumberOfFrames (0028,0008) More...
OFCondition | setPixelSpacing (const OFString &value, const OFBool check=OFTrue)
| set PixelSpacing (0028,0030) More...
OFCondition | setRows (const Uint16 value, const unsigned long pos=0)
| set Rows (0028,0010) More...
OFCondition | setSpacingBetweenSlices (const OFString &value, const OFBool check=OFTrue)
| set SpacingBetweenSlices (0018,0088) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmUnsignedShort | Columns
| Columns (0028,0011) vr=US, vm=1, type=1.
DcmDecimalString | ImageOrientationPatient
| ImageOrientationPatient (0020,0037) vr=DS, vm=6, type=1.
DcmDecimalString | ImagePositionPatient
| ImagePositionPatient (0020,0032) vr=DS, vm=3, type=1.
DcmIntegerString | NumberOfFrames
| NumberOfFrames (0028,0008) vr=IS, vm=1, type=1.
DcmDecimalString | PixelSpacing
| PixelSpacing (0028,0030) vr=DS, vm=2, type=1.
DcmUnsignedShort | Rows
| Rows (0028,0010) vr=US, vm=1, type=1.
DcmDecimalString | SpacingBetweenSlices
| SpacingBetweenSlices (0018,0088) vr=DS, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTSourcePixelPlanesCharacteristicsSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTSourcePixelPlanesCharacteristicsSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getColumns()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getColumns | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get Columns (0028,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [1/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImageOrientationPatient | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [2/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImageOrientationPatient | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [3/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImageOrientationPatient | ( | OFVector< Float64 > & | value | ) | const

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [1/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImagePositionPatient | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [2/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImagePositionPatient | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [3/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getImagePositionPatient | ( | OFVector< Float64 > & | value | ) | const

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFrames() [1/2]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getNumberOfFrames | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get NumberOfFrames (0028,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFrames() [2/2]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getNumberOfFrames | ( | Sint32 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get NumberOfFrames (0028,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [1/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [2/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getPixelSpacing | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [3/3]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getPixelSpacing | ( | OFVector< Float64 > & | value | ) | const

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRows()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getRows | ( | Uint16 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get Rows (0028,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpacingBetweenSlices() [1/2]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getSpacingBetweenSlices | ( | Float64 & | value,
|  | const unsigned long | pos = `0`
| ) |  | const

get SpacingBetweenSlices (0018,0088)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpacingBetweenSlices() [2/2]

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::getSpacingBetweenSlices | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get SpacingBetweenSlices (0018,0088)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTSourcePixelPlanesCharacteristicsSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTSourcePixelPlanesCharacteristicsSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTSourcePixelPlanesCharacteristicsSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setColumns()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setColumns | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set Columns (0028,0011)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImageOrientationPatient()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setImageOrientationPatient | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ImageOrientationPatient (0020,0037)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (6) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImagePositionPatient()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setImagePositionPatient | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set ImagePositionPatient (0020,0032)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfFrames()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setNumberOfFrames | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set NumberOfFrames (0028,0008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelSpacing()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setPixelSpacing | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set PixelSpacing (0028,0030)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRows()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setRows | ( | const Uint16 | value,
|  | const unsigned long | pos = `0`
| ) |  |

set Rows (0028,0010)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpacingBetweenSlices()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::setSpacingBetweenSlices | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set SpacingBetweenSlices (0018,0088)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTSourcePixelPlanesCharacteristicsSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtsppcs.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1